Subject: Re: [manet] question about packet monitoring in a real wireless network

From: "Xu (Kevin) Su" <[email-masked]>
Date: Mon, 30 Oct 2006 16:46:54 -0600 (CST)

Thanks Tan and D'jay' for your comments.

I want to make one thing clear again.
In  both cases of my experiments
(using buffalo WZR-RS-G54 wireless router), single hop
route is used (static route), i.e. in case (1), packets from R1 is
forwarding to R3 directly and R2 is not forwarding packets;
in case (2) packets from R1 is forwarding to R2 directly.
The results I got are gathered using tcpdump.

I figure out one reason, but not sure about it.
In case (1), R1 sends packets to R3.  With or without RTS/CTS being used,
R3 will send an ACK back to R1 for each packet received successfully.
If R1 doesn't receive the ACK from R3, it will resend the packet again. If
the environment is too noisy, it is possible that R3 will receives more
packets than R2 overheard, isn't it?

Best,
kevin

On Fri, 27 Oct 2006, dgp wrote:

> i think this looks to be a case of power control. see that your protocol is not adjusting the transmission powers, also the case 1, can be explained if you room of experimentation has reflectors from R3 side which (reflections) reach R2 and cause packet loss also why no reciever is recieving all packets? try also reducing the speed of transmission and see if results alter etc etc

D'jay

----- Original Message ----
From: Xu (Kevin) Su <[email-masked]>
To: [email-masked]
Sent: Friday, October 27, 2006 7:08:11 AM
Subject: [manet] question about packet monitoring in a real wireless network

Hi everyone,

I am doing small experiments using 3 wireless routers. Each router is set
to ad hoc mode. They are placed almost along a line, as follows:
   R1 -------------  R2 ------- R3
The distance between R1 and R2 is larger than the distance between R2 and
R3.

One router is sending 4000 packets (size: 500 bytes) to another router
over UDP with rate 200 kbps. All routers record the total number of
packets received or overheard.

I did two experiments:
case (1):  R1 is sending packets to R3
  R3 receives 3844 packets, R2 overhears 3389 packets.
case (2):  R1 is sending packets to R2
  R2 receives 3940 packets, R3 overhears 2700 packets.

In both cases, R1 uses static route (add a static route to R3 or R2 in the
routing table using command "route add").

I am confused about the results from case (1). why the number of packets
R2 overheard (3389) is less than that R3 received (3844) since R2 is
located between R1 and R3? If R2 can overhear R1's transmission, it should
at least heard the packets received by R3.

In case (2), when R1 sent packets to R2 instead, R3 overheard much
less packets than the number of packets received by R3 in case (1).

I tried mutliple times, and got similar results. Can anyone explain it?
Any comments are welcome.

Thanks,
Kevin

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet